org.h2.command.ddl

## Class CreateFunctionAlias

- java.lang.Object
- - org.h2.command.Prepared
  - - org.h2.command.ddl.DefineCommand
    - - org.h2.command.ddl.SchemaCommand
      - - org.h2.command.ddl.CreateFunctionAlias

    public class CreateFunctionAlias
    extends SchemaCommand

This class represents the statement CREATE ALIAS

### Field Summary

### Fields inherited from class org.h2.command.ddl.DefineCommand

`transactional`

### Fields inherited from class org.h2.command.Prepared

`create, parameters, prepareAlways, session, sqlStatement`

### Constructor Summary

Constructors
Constructor and Description
`CreateFunctionAlias(Session session, Schema schema)`

### Method Summary

Methods
`int` `getType()` Get the command type as defined in CommandInterface
`void` `setAliasName(java.lang.String name)`
`void` `setBufferResultSetToLocalTemp(boolean b)` Should the return value ResultSet be buffered in a local temporary file?
`void` `setDeterministic(boolean deterministic)`
`void` `setForce(boolean force)`
`void` `setIfNotExists(boolean ifNotExists)`
`void` `setJavaClassMethod(java.lang.String method)` Set the qualified method name after removing whitespace.
`void` `setSource(java.lang.String source)`
`int` `update()` Execute the statement.

### Methods inherited from class org.h2.command.ddl.SchemaCommand

`getSchema`

### Methods inherited from class org.h2.command.ddl.DefineCommand

`isReadOnly, isTransactional, queryMeta, setTransactional`

### Methods inherited from class org.h2.command.Prepared

`checkCanceled, checkParameters, getCurrentObjectId, getCurrentRowNumber, getObjectId, getParameters, getPlanSQL, getSQL, getSQL, getSQL, isCacheable, isQuery, needRecompile, prepare, query, setCommand, setCurrentRowNumber, setObjectId, setParameterList, setPrepareAlways, setRow, setSession, setSQL, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### CreateFunctionAlias

    public CreateFunctionAlias(Session session,
                       Schema schema)

### Method Detail

#### update

    public int update()

Description copied from class: `Prepared`
Execute the statement.

Overrides:
  `update` in class `Prepared`
Returns:
  the update count

#### setAliasName

    public void setAliasName(java.lang.String name)

#### setJavaClassMethod

    public void setJavaClassMethod(java.lang.String method)

Set the qualified method name after removing whitespace.

Parameters:
  `method` - the qualified method name

#### setIfNotExists

    public void setIfNotExists(boolean ifNotExists)

#### setForce

    public void setForce(boolean force)

#### setDeterministic

    public void setDeterministic(boolean deterministic)

#### setBufferResultSetToLocalTemp

    public void setBufferResultSetToLocalTemp(boolean b)

Should the return value ResultSet be buffered in a local temporary file?

Parameters:
  `b` - the new value

#### setSource

    public void setSource(java.lang.String source)

#### getType

    public int getType()

Description copied from class: `Prepared`
Get the command type as defined in CommandInterface

Specified by:
  `getType` in class `Prepared`
Returns:
  the statement type